/*
 * ssidsniff - a tool for wireless network reconnaissance
 * Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*
 * $Id: cursesui.h,v 1.17 2007-06-22 20:36:40 kos Exp $
 *
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ssidsniff.h"

#ifndef _CURSESUI_H
#define _CURSESUI_H

#define UI_DIR_UP 0
#define UI_DIR_DOWN 1

typedef enum {
  UI_SORT_RECV, UI_SORT_SSID, UI_SORT_CHANNEL, UI_SORT_PACKETS, UI_SORT_DATA, UI_SORT_PPS, UI_SORT_BSSID,
  UI_SORT_SIGNAL, UI_SORT_ACTIVE
} ui_sort_t;

typedef enum {
  UI_MODE_NORMAL, UI_MODE_HELP, UI_MODE_INFO, UI_MODE_SORT, UI_MODE_STRINGS, UI_MODE_FREQ, UI_MODE_QUERYC,
  UI_MODE_QUERYS
} ui_mode_t;

typedef enum {
  QUERY_STRING, QUERY_CHAR
} ui_query_t;

typedef struct uifield_t {
  char name[DEF_LINELEN];
  int size;
  int cursize;
  int selected;
} uifield_t;

int ui_init(void);
int ui_refresh(ssidsniff_t *s);
int ui_redraw(ssidsniff_t *s);
int ui_mode(ui_mode_t);
int ui_finish(void);
int ui_clear(void);
int ui_select(ssidsniff_t *, int);
int ui_tag(ssidsniff_t *, int);
char ui_query_char(char *);
int ui_process_events(ssidsniff_t *s);
int ui_info(char *, ...);

#endif /* _CURSESUI_H */
