/*
 * ssidsniff - a tool for wireless network reconnaissance
 * Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*
 * $Id: hopper.h,v 1.6 2007-06-27 02:58:09 kos Exp $
 *
 */

#ifndef _HOPPER_H
#define _HOPPER_H

#include <stdlib.h>

#include "util.h"
#include "mach.h"

#define MAX_CHANNELS 128
#define MIN_TIMESLICE 1000
#define MAX_TIMESLICE 5000
#define TIMESLICE_STEP 250
#define RESET_PERIOD 150

typedef struct hopper_t {
  char device[DEF_LINELEN];
  pid_t hopper_pid;
  int sp[2];
  int fd;
  FILE *wfp, *rfp;
  int running;
  mach_channel_t channels[MAX_CHANNELS];
  int nchannels;
} hopper_t;

hopper_t *hopper_init(char *);
int hopper_destroy(hopper_t *);
int hopper_msg(hopper_t *, char *);

#endif /* _HOPPER_H */
