/*
 * ssidsniff - a tool for wireless network reconnaissance
 * Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*
 * $Id: mach.h,v 1.10 2007-06-27 02:58:09 kos Exp $
 *
 */

#ifndef _MACH_H
#define _MACH_H

#ifdef _HAVE_CONFIG_H
#include "config.h"
#endif

#define MACH_LINELEN 1024

typedef struct {
  int ch;
  double freq;
  int bonus;
} mach_channel_t;

typedef struct {
  unsigned int rx;
  unsigned int tx;
} mach_counter_t;

char *mach_battery_status(void);
double mach_freq_get(char *device);
int mach_channel_set(char *device, int ch);
int mach_iswifi(char *device, char *descr, int len);
int mach_set_if(char *device, int state);
int mach_set_monitor(char *device, int monitor);
int mach_get_channels(char *device, mach_channel_t *channels, int l);
int mach_get_if_counters(char *device, mach_counter_t *);

#endif /* _MACH_H */
