/*
 * ssidsniff - a tool for wireless network reconnaissance
 * Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*
 * $Id: ouidb.c,v 1.3 2007-06-20 01:47:12 kos Exp $
 *
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <string.h>

#include "ouidb.h"
#include "pre.h"

#define OUIDB_NOTFOUND "Unknown"

char *
ouidb_get_vendor(char *mac, char *out, int len) {
  vendor_maclist_t *p;
  int i;

  for(i=0; vendor_maclist[i].vendor; i++) {
    p = &vendor_maclist[i];
    if(!strncasecmp(vendor_maclist[i].mac_prefix, mac, 
		    strlen(vendor_maclist[i].mac_prefix) )) {
      if(out)
	strncpy(out, vendor_maclist[i].vendor, len);
      return vendor_maclist[i].vendor;
    }
  }

  if(out)
    strncpy(out, OUIDB_NOTFOUND, len);
  return OUIDB_NOTFOUND;
}

char *
ouidb_date(void) {
  return OUI_DATE;
}

